---
apiVersion: batch/v1beta1
items:
- apiVersion: batch/v1beta1
  kind: CronJob
  metadata:
    annotations:
      imageregistry.operator.openshift.io/checksum: sha256:5d506b8216d7b6be9672ee28ea935e959505ed1dedf86be738672972c08f20d4
    creationTimestamp: "2022-03-08T10:39:51Z"
    managedFields:
    - apiVersion: batch/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:imageregistry.operator.openshift.io/checksum: {}
        f:spec:
          f:concurrencyPolicy: {}
          f:failedJobsHistoryLimit: {}
          f:jobTemplate:
            f:metadata:
              f:labels:
                .: {}
                f:created-by: {}
            f:spec:
              f:backoffLimit: {}
              f:template:
                f:spec:
                  f:affinity: {}
                  f:containers:
                    k:{"name":"image-pruner"}:
                      .: {}
                      f:args: {}
                      f:command: {}
                      f:image: {}
                      f:imagePullPolicy: {}
                      f:name: {}
                      f:resources:
                        .: {}
                        f:requests:
                          .: {}
                          f:cpu: {}
                          f:memory: {}
                      f:terminationMessagePath: {}
                      f:terminationMessagePolicy: {}
                      f:volumeMounts:
                        .: {}
                        k:{"mountPath":"/var/run/configmaps/serviceca"}:
                          .: {}
                          f:mountPath: {}
                          f:name: {}
                          f:readOnly: {}
                  f:dnsPolicy: {}
                  f:restartPolicy: {}
                  f:schedulerName: {}
                  f:securityContext: {}
                  f:serviceAccount: {}
                  f:serviceAccountName: {}
                  f:terminationGracePeriodSeconds: {}
                  f:volumes:
                    .: {}
                    k:{"name":"serviceca"}:
                      .: {}
                      f:configMap:
                        .: {}
                        f:defaultMode: {}
                        f:name: {}
                      f:name: {}
          f:schedule: {}
          f:startingDeadlineSeconds: {}
          f:successfulJobsHistoryLimit: {}
          f:suspend: {}
      manager: cluster-image-registry-operator
      operation: Update
      time: "2022-03-08T10:39:51Z"
    name: image-pruner
    namespace: openshift-image-registry
    resourceVersion: "26354"
    selfLink: /apis/batch/v1beta1/namespaces/openshift-image-registry/cronjobs/image-pruner
    uid: 20af31ab-7942-43e9-853c-c7f5045889f6
  spec:
    concurrencyPolicy: Forbid
    failedJobsHistoryLimit: 3
    jobTemplate:
      metadata:
        creationTimestamp: null
        labels:
          created-by: image-pruner
      spec:
        backoffLimit: 0
        template:
          metadata:
            creationTimestamp: null
          spec:
            affinity: {}
            containers:
            - args:
              - adm
              - prune
              - images
              - --confirm=true
              - --certificate-authority=/var/run/configmaps/serviceca/service-ca.crt
              - --keep-tag-revisions=3
              - --keep-younger-than=60m
              - --ignore-invalid-refs=true
              - --loglevel=1
              - --prune-registry=true
              - --registry-url=https://image-registry.openshift-image-registry.svc:5000
              command:
              - oc
              image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:f95ac948edf7e12a3d46e88cbab8c7010ef9c3af6df2ff002af28ba76445247d
              imagePullPolicy: IfNotPresent
              name: image-pruner
              resources:
                requests:
                  cpu: 100m
                  memory: 256Mi
              terminationMessagePath: /dev/termination-log
              terminationMessagePolicy: FallbackToLogsOnError
              volumeMounts:
              - mountPath: /var/run/configmaps/serviceca
                name: serviceca
                readOnly: true
            dnsPolicy: ClusterFirst
            restartPolicy: Never
            schedulerName: default-scheduler
            securityContext: {}
            serviceAccount: pruner
            serviceAccountName: pruner
            terminationGracePeriodSeconds: 30
            volumes:
            - configMap:
                defaultMode: 420
                name: serviceca
              name: serviceca
    schedule: 0 0 * * *
    startingDeadlineSeconds: 3600
    successfulJobsHistoryLimit: 3
    suspend: false
  status: {}
kind: CronJobList
metadata:
  resourceVersion: "82724"
  selfLink: /apis/batch/v1beta1/namespaces/openshift-image-registry/cronjobs
